ShutdownClosure Struct Reference
D-Bus secret internal implementation details » Memory allocation implementation details

This struct represents a function to be called on shutdown. More...

## Data Fields

ShutdownClosure * | next
| Next ShutdownClosure.
DBusShutdownFunction | func
| Function to call.
void * | data
| Data for function.

## Detailed Description

This struct represents a function to be called on shutdown.

Definition at line 800 of file dbus-memory.c.

## Field Documentation

## data

void* ShutdownClosure::data

Data for function.

Definition at line 804 of file dbus-memory.c.

Referenced by dbus_shutdown().

## func

DBusShutdownFunction ShutdownClosure::func

Function to call.

Definition at line 803 of file dbus-memory.c.

Referenced by dbus_shutdown().

## next

ShutdownClosure* ShutdownClosure::next

Next ShutdownClosure.

Definition at line 802 of file dbus-memory.c.

Referenced by dbus_shutdown().

The documentation for this struct was generated from the following file:

- dbus-memory.c